<?PHP
/* Created on : Apr 3, 2011
 * Author     : Josph Tinsley - twitter.com/josephtinsley
 * Description: Google Analytics Class.
 * Makes connection to API and pull accounts list and reporting data.
 * 
 * BE SURE TO CHECK OUT GOOGLE DOC
 * http://code.google.com/apis/analytics/docs/gdata/gdataDeveloperGuide.html
 * http://code.google.com/apis/analytics/docs/gdata/gdataAuthentication.html
 * http://code.google.com/apis/analytics/docs/gdata/2.0/gdataProtocol.html#RetrievingAccounts
 *
 */


require_once 'gaClass.php';

$email = 'YOUR_EMAIL@gmail.com'; // ENTER YOUR GOOGLE ANALYTICS EMAIL ADDRESS HERE
$password = 'YOUR_PASSWORD';     // ENTER YOUR GOOGLE ANALYTICS PASSWORD HERE

$api = new GoogleAnalyticsAPI($email, $password);
?>
<html>
    <head>
        <title></title>
        <link rel="stylesheet" href="style/style.css">
        <script type="text/javascript">
            function link(url)
            {
                document.location.href = url;
            }
        </script>
    </head>
    <body id="wrap">

    <?PHP
    $account_list = $api->getAnalyticsAccounts();

    print $results_table = $api->showAnalyticsAccounts($account_list)."<br/>";

    if( isset($_GET['account_id']) )
    {
           $account_id = $_GET['account_id'];
           $reporting_data = $api->getReportingData($account_id);
           print $api->showReportingdata($reporting_data);

    }

    ?>

    </body>
</html>